Index: WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 617)
+++ WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 622)
@@ -29,4 +29,5 @@
         'search_string': ''
         }
+choosen_ids = request.get('ids',[])
 
 rend,psm,ds = lt.renderLayout(layout_id= 'academics_search',
@@ -44,16 +45,6 @@
                              objects = items,
                              is_manager = is_manager,
+                             choosen_ids = choosen_ids,
                              )
-what = ds.get('search_mode')
-state = ds.get('review_state')
-term = ds.get('search_string')
-if not term and not with_review:
-    return context.academics_search_view(rendered = rend,
-                             psm = "You must specify a search string",
-                             #psm = "%s, %s" % (psm,ds),
-                             objects = items,
-                             is_manager = is_manager,
-                             )
-with_review = state != "all"
 what = ds.get('search_mode')
 state = ds.get('review_state')
@@ -73,4 +64,5 @@
                              students = items,
                              is_manager = is_manager,
+                             choosen_ids = choosen_ids,
                              )
 with_review = state != "all"
@@ -106,4 +98,4 @@
                              objects = objects,
                              is_manager = is_manager,
-                             choosen_ids = []
+                             choosen_ids = choosen_ids,
                              )
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 622)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 622)
@@ -0,0 +1,22 @@
+<metal:html tal:define="info context/getHallInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id" />
+      <div tal:condition="nothing" tal:content="info/container_path"/>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_index.py	(revision 622)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_index.py	(revision 622)
@@ -0,0 +1,32 @@
+## Script (Python) "academics_index"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the appropriate page in the academics section
+"""
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+if pm.isAnonymousUser():
+    return redirect("%s/academics_contents" % context.absolute_url())
+
+campus = context.portal_catalog(meta_type = "University")[-1].getObject()
+
+if context.isManager():
+    if context.portal_type == 'AccoFolder':
+        return context.accommodation.accommodation_view()
+    elif context.portal_type == 'AccoHall':
+        return context.acco_hall_view()
+    return redirect("%s/academics_contents" % context.absolute_url())
+else:
+    return redirect("%s/academics_contents" % context.absolute_url())
+
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_view.pt	(revision 622)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_view.pt	(revision 622)
@@ -0,0 +1,80 @@
+<metal:html tal:define="info context/getAccoHallsInfo;
+            is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href="" tal:condition="nothing"
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id">
+        Page Title
+      </h3>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            tal:define="rows python: info['items'];"
+            >
+        <span tal:condition="python: 0" tal:content="structure rows" />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row rows"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;" 
+                tal:condition="is_manager">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:condition="is_manager"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <strong tal:content="row/title" /></a> </td>
+            <td tal:content="row/id"> </td>
+            
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit]
+                </a> 
+            </td>
+            
+          </tr>
+        </table>
+        <table width="100%" cellspacing="0" cellpadding="2"
+               summary="contents of the folder"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_manager">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="folder_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                       type="submit" name="id_rename_form:method"
+                       class="context" value="Change Object ID" i18n:attributes="value" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py	(revision 622)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py	(revision 622)
@@ -0,0 +1,37 @@
+## Script (Python) "cpsdocument_edit"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return Info about the Faculties
+"""
+request = context.REQUEST
+
+wf = context.portal_workflow
+mtool = context.portal_membership
+path_info = request.get('PATH_INFO').split('/')
+
+info = {}
+info['is_manager'] = context.isManager()
+info['is_student'] = context.isStudent()
+info['action'] = "%s" % context.campus.absolute_url()
+info['choosen_ids'] = request.get('ids',[])
+items = []
+halls = context.portal_catalog(portal_type='AccoHall')
+for f in halls:
+    row = {}
+    fo = f.getObject()
+    fd = fo.getContent()
+    row['id'] = fo.getId()
+    row['title'] = fd.Title()
+    row['url'] = fo.absolute_url()
+    row['is_editable'] = mtool.checkPermission('Modify portal content', fo)
+    items.append(row)
+info['items'] = items
+return info
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py	(revision 622)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py	(revision 622)
@@ -0,0 +1,28 @@
+## Script (Python) "cpsdocument_edit"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return Info about the Faculties
+"""
+request = context.REQUEST
+
+wf = context.portal_workflow
+path_info = request.get('PATH_INFO').split('/')
+mtool = context.portal_membership
+
+info = {}
+#dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
+dep_id = context.aq_parent.getId()
+info['is_manager'] = context.isManager()
+info['is_student'] = context.isStudent()
+info['action'] = "%s" % context.absolute_url()
+info['choosen_ids'] = request.get('ids',[])
+info['doc'] = context.getContent()
+return info
Index: WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 617)
+++ WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 622)
@@ -73,5 +73,5 @@
 onlyreview = with_review and not term
 if onlyreview:
-    res = catalog(portal_type='Student',
+    res = catalog(portal_type=portal_type_query,
                   review_state=state)
 elif what == "student_id":
@@ -95,5 +95,5 @@
     if with_review:
         try:
-            res = catalog(portal_type='Student',SearchableText=st,
+            res = catalog(portal_type=pt,SearchableText=st,
                           review_state=state)
         except:
